Skip to main content
`Ctrl`+`K`

# pydata_sphinx_theme.edit_this_page

Create an “edit this page” url compatible with bitbucket, gitlab and github.

## Functions

`setup_edit_url`(app, pagename, templatename, context, ...) | Add a function that jinja can access for returning the edit URL of a page.

## Module Contents

pydata_sphinx_theme.edit_this_page.setup_edit_url(app, pagename, templatename, context, doctree)

  Add a function that jinja can access for returning the edit URL of a page.

  Parameters:

    - app (sphinx.application.Sphinx)

    - pagename (str)

    - templatename (str)

  Return type:

    None